Subject: Re: Doubts about MPLS-TE Mib

From: David Charlap <[email-masked]>
Date: Thu, 02 Aug 2001 12:23:16 -0400

"Lipovetsky, Sergey" wrote:
> 
> I will try to restate the things. Please correct me if something is
> wrong.
> 
> Suppose we have two ingress routers (IP addresses: ingr1, ingr2) and
> two egress routers (IP addresses: egr1, egr2) and several TE tunnels
> defined by the following session objects:
> 
>    extended tunnel ID     tunnel ID   IPv4 tunnel end point address
> 1) ingr1                       1                       egr1
> 2) ingr1                       1                       egr2
> 
> 3) ingr2                       1                       egr1
> 4) ingr2                       1                       egr2
> 
> 5) 0                           1                       egr1
> 6) 0                           1                       egr2
> 
> All these TE tunnels can co-exist without any collisions.

Correct.

> In cases 1-4 tunnel ID is allocated for a given pair of
> ingress-egress nodes.
> In cases 5-6 tunnel ID is allocated for a given egress node.

This subdivision is splitting hairs unnecessarily.  In all cases, tunnel
ID is chosen by the ingress node, using whatever means it is configured
for (auto-generated, manually configured, off-line database, etc.)

In all cases, the session is identified by the 3-tuple of address,
tunnel ID and extended tunnel ID.  To try and define the properties of
one based on the values of the other may be an interesting intellectual
exercise, but it has no practical effect on the protocol.

-- David

---

From: "Lipovetsky, Sergey" <[email-masked]>
Date: Thu, 2 Aug 2001 17:14:03 +0200

Hi David,

Thank you for your response.
I will try to restate the things. Please correct me if something is wrong.

Suppose we have two ingress routers (IP addresses: ingr1, ingr2) and two
egress routers (IP addresses: egr1, egr2)
and several TE tunnels defined by the following session objects:

3)        ingr2                           1                       egr1   
4)        ingr2                           1                       egr2

5)           0                             1                       egr1
6)           0                             1                       egr2

All these TE tunnels can co-exist without any collisions.
In cases 1-4 tunnel ID is allocated for a given pair of ingress-egress
nodes.
In cases 5-6 tunnel ID is allocated for a given egress node.

Sergey
 
> -----Original Message-----
> From: David Charlap [mailto:[email-masked]]
> Sent: Wednesday, August 01, 2001 4:19 PM
> To: [email-masked]'
> Subject: Re: Doubts about MPLS-TE Mib
> 
> 
> > How can we say that tunnel ID is locally unique to the ingress
> > node in this case?
> 
> Because RSVP has no mechanism for synchronizing tunnel IDs across the
> network.  Therefore the value is, by definition, only locally unique. 
> This should be obvious.
> 
> > This is true only when the extended tunnel ID is not zero.
> 
> The uniqueness of tunnel ID is not affected by the value of 
> other fields
> in the SESSION object.
> 
> You seem to be confusing the tunnel ID with the entirity of 
> the SESSION
> object.
> 
> > If the extended tunnel ID is zero, some global synchronization is
> > required.
> 
> It would be a good idea, but the protocol does not provide for any
> mechanism.  And RSVP will work just fine with or without said
> synchronization.  Your requirement is nothing more than wishful
> thinking.
> 
> > Can we say that tunnel ID is local unique to the egress node in this
> > case?
> 
> I don't see what your preoccupation with this is.  You seem die-hard
> determined to change the RSVP spec such that it fits the MPLS-TE MIB.
> 
> > This is different from CR-LDP, where lspid is really locally unique
> > to the ingress node and does not require any synchronization.
> 
> CR-LDP doesn't allow two LSPs to share resources either, so the entire
> argument is moot there.
> 
> -- David
>